# What does the Snap NOT do?

The Galactica ZK Vault Snap does NOT:

* Manage assets, tokens or NFTs
* Access personal funds
* Access the private keys of accounts in Metamask. The Snap only derives a new key for signatures in ZK using the [getEntropy](https://docs.metamask.io/snaps/reference/rpc-api/#snap_getentropy) function.
* Disclose personal information without confirmation
* Send any tracking data
* Leak on-chain activity to guardians
* Submit transactions on-chain. The ZK proof is returned to the dApp that can ask you to submit it afterwards.

You can verify those points by checking the permissions the snap requests and in the code on [NPM](https://www.npmjs.com/package/@galactica-net/snap) and [GitHub](https://github.com/Galactica-corp/galactica-monorepo/tree/main/packages/snap).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.galactica.com/galactica-network-faq/6.-galactica-zk-vault-snap-for-metamask-devnet/what-does-the-snap-not-do.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
